function exit_message_CTU_serach(flag)
if flag == 1 
    fprintf('\n\n _____________________________________');
    fprintf('\n No valid CTU code was found !');
    fprintf('\n Search cancled by user !');
    fprintf('\n_____________________________________\n');      
elseif flag == 2
    fprintf('\n _________________________________________________________________________________________________________________');
    fprintf('\n \n There are no Compact Texture Unit codes in your database for the requested extrctation scheme of (N =  %d, M = %d)  !',NBposition,base);
    fprintf('\n Please run the folowing function to perform a search for these codes');
    fprintf('\n               1- function: initial_TU_Codes=get_valid_code_for_maxi_base(base,NBposition) ');
    fprintf('\n               2- function: CodeValidity = find_new_CTU_code (Initial_CTU_Code,target_base,Search_Step)');
    fprintf('\n \n __________________________________________________________________________________________________________________\n');
end
end